lkml.org 
[lkml]   [2004]   [Mar]   [24]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH][RELEASE] megaraid 2.10.2 Driver
> On Tue, Mar 23, 2004 at 01:30:35PM +0000, Matthew Wilcox wrote:
> > On Tue, Mar 23, 2004 at 06:27:08AM +0000, Christoph Hellwig wrote:
> > > On Tue, Mar 23, 2004 at 12:45:43AM +0000, Matthew Wilcox wrote:
> > > > I don't think you understand how CONFIG_COMPAT works. x86-64 defines it
> > > > when it wants it:
> > >
> > > But not in 2.4, and this is a 2.4-only patch..
> >
> > It is? I didn't see that mentioned anywhere.
> >
> > Anyway, it's wrong to define LSI_CONFIG_COMPAT based solely on __x86_64__.
> > You'd also need to check IA32_EMULATION. Really, it would be simpler
> > to add CONFIG_COMPAT to 2.4.

I think is ok to use such XXX_CONFIG_COMPAT and #ifdef the register_ioctl calls
around it in the driver. Acceptable for 2.4. Comments?

I think you are right about checking for IA32_EMULATION too.

Does SPARC also define it?

The MPT fusion driver currently does:

#if (defined(__sparc__) && defined(__sparc_v9__)) || defined(__x86_64__)
#define MPT_CONFIG_COMPAT
#endif
Sreenivas: about the megaraid2 update, please work on the commentaries by Jeff.

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 14:01    [from the cache]
©2003-2011 Jasper Spaans